Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010293 [DCSS] Bug Report minor always 2016-02-21 02:39 2016-04-10 21:31
Reporter advil View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0010293: expose_to_element is not called enough
Description player::expose_to_element / expose_player_to_element is apparently not called in a lot of cases where a player takes elemental damage, mainly from spells, especially fire. The main effect that I was trying to figure out is that qazlal's elemental adaptation doesn't trigger in a lot of cases where it should. I've tested this with bolt of fire, fireball, firestorm, and flaming arrows, by using them against myself in wizmode on 0.17, also by creating monsters that do some of these attacks. I did test this on a few older versions and seemed to see the same thing.

A few things still work, for example sticky flame (which calls expose_player_to_element specially in player::dec_napalm_player) triggers it always for me in wizmode.

cf. also some discussion with |amethyst in IRC on 2/20/16.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0030336)
wheals (administrator)
2016-04-10 02:51

PR 0000251 has been merged.

- Issue History
Date Modified Username Field Change
2016-02-21 02:39 advil New Issue
2016-04-10 02:51 wheals Note Added: 0030336
2016-04-10 02:51 wheals Status new => resolved
2016-04-10 02:51 wheals Fixed in Branch => 0.18 development branch
2016-04-10 02:51 wheals Resolution open => done
2016-04-10 02:51 wheals Assigned To => wheals
2016-04-10 21:31 advil Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker